InterruptedException (Java Platform SE 8 )
Keywords: java.lang.InterruptedException class
Date: 2016-04-24

compact1, compact2, compact3
java.lang

## Class InterruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.InterruptedException

- All Implemented Interfaces:
    Serializable

      public class InterruptedException
      extends Exception

  Thrown when a thread is waiting, sleeping, or otherwise occupied, and the thread is interrupted, either before or during the activity. Occasionally a method may wish to test whether the current thread has been interrupted, and if so, to immediately throw this exception. The following code can be used to achieve this effect:

        if (Thread.interrupted())  // Clears interrupted status!
            throw new InterruptedException();

  Since:
    JDK1.0
  See Also:
    `Object.wait()`, `Object.wait(long)`, `Object.wait(long, int)`, `Thread.sleep(long)`, `Thread.interrupt()`, `Thread.interrupted()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterruptedException()` Constructs an `InterruptedException` with no detail message.
    `InterruptedException(String s)` Constructs an `InterruptedException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterruptedException

          public InterruptedException()

      Constructs an `InterruptedException` with no detail message.

    - #### InterruptedException

          public InterruptedException(String s)

      Constructs an `InterruptedException` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.